<?php

require_once get_template_directory() .'/library/wdc_functions.php';
require_once get_template_directory() .'/library/wdc_widgets.php';

if ( class_exists('Woocommerce') ) {
	require_once get_template_directory() .'/library/wdc_woocommerce.php';
}
if ( class_exists('WPBakeryVisualComposerAbstract') ) {
	require_once get_template_directory() .'/library/wdc_visualcomposer.php';
}
if ( class_exists('ReduxFrameworkPlugin') ) {
	require_once get_template_directory() .'/library/wdc_options.php';
}
if ( is_admin() ) {
	require_once get_template_directory() .'/library/vendor/tgm/tgm-plugins.php';
}

require_once get_template_directory() .'/library/widgets/posts.php';
require_once get_template_directory() .'/library/widgets/social.php';
require_once get_template_directory() .'/library/widgets/contact.php';
require_once get_template_directory() .'/library/widgets/services.php';

// gutenberg

// Add support for full and wide align images.
add_theme_support( 'align-wide' );

// Add support for editor styles.
add_theme_support( 'editor-styles' );

// Add support for Block Styles.
add_theme_support( 'wp-block-styles' );

// Add support for responsive embedded content.
add_theme_support( 'responsive-embeds' );

if ( ! function_exists( 'wp_body_open' ) ) {
	/**
	 * Adds backwards compatibility for wp_body_open() introduced with WordPress 5.2
	 * @see https://developer.wordpress.org/reference/functions/wp_body_open/
	 */
	function wp_body_open() {
		do_action( 'wp_body_open' );
	}
}